/**
 * OrganizationNameUse.java
 *
 * File generated from the medication::OrganizationNameUse uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration OrganizationNameUse.
 *
 * 
 */

@XmlType(name = "OrganizationNameUse")
@XmlEnum
@XmlRootElement(name = "OrganizationNameUse")
public enum OrganizationNameUse {
	@XmlEnumValue("C")
	C("C"),
	@XmlEnumValue("L")
	L("L"),
	@XmlEnumValue("SRCH")
	SRCH("SRCH"),
	@XmlEnumValue("PHON")
	PHON("PHON"),
	@XmlEnumValue("SNDX")
	SNDX("SNDX"),
	@XmlEnumValue("ABC")
	ABC("ABC"),
	@XmlEnumValue("IDE")
	IDE("IDE"),
	@XmlEnumValue("SYL")
	SYL("SYL");
	
	private final String value;

    OrganizationNameUse(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static OrganizationNameUse fromValue(String v) {
        for (OrganizationNameUse c: OrganizationNameUse.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}